#!/usr/bin/env python
#--*--coding:UTF-8 --*--
import socket,time

host =socket.gethostbyname(socket.gethostname())
print host
port=1234

s=socket.socket(socket.AF_INET,socket.SOCK_STREAM)
s.setsockopt(socket.SOL_SOCKET,socket.SO_REUSEADDR,1)
s.bind((host,port))
s.listen(1)

cliente,direccion=s.accept()
print direccion
print "Se ha efectuado una conexión desde ",
print cliente.getpeername()
cliente.close()
s.close()
